[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TPopupMenu.OnPopup

Event handler signalled to display the pop-up menu.

## Declaration

Source position: menus.pp line 494

`published property TPopupMenu.OnPopup : TNotifyEvent read FOnPopup write FOnPopup;`

## Description

OnPopUp is signalled from DoPopUp when the PopUp method is executed. The Sender argument contains the TPopUpMenu instance for the notification, and occurs before the handles for menu items are recreated and the widgetset class is used to display the pop-up menu. It can be used to alter the menu items for the pop-up menu based on context.

## See also

TPopUpMenu.PopUp |  | Displays the pop-up menu.
TPopUpMenu.DoPopUp |  | Performs actions needed to display the pop-up menu.